﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3032B: (1 year) VER VISA /5520A+SC600
DATE:                  2010-07-28 11:47:56
AUTHOR:                Fluke
REVISION:              $Revision: 18571 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       200
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3032B
# 
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000B Ethernet Interface Connection
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test VISA
#        Sub Tek TDS3000 Signal Path Compensation Cal VISA
#        Sub Tek TDS3000B (1 yr) DCV VISA /5520+S6
#        Sub Tek TDS3000B (1 yr) Bandwidth VISA /5520+S6
#        Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5520+S6
#        Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5520+S6
#        Sub Tek TDS3000B (1 yr) Sample Rate VISA /5520+S6
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         300MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000B Ethernet Interface Connection

  1.017  VISA         *RST

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query VISA

  1.020  MATH         @UUT_Manufacturer = "Tektronix"
  1.021  MATH         @UUT_Model        = "TDS 3032B"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                           @Abort

  1.024  CALL         Sub Tek TDS3000 Check Firmware Version
  1.025  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS FULL BW (CH1)
#    6.   BANDWIDTH (CH2)                    TRIGGER SENS 50 MHz (CH1)
#    7.   TRIGGER SENS FULL BW (CH1)         SAMPLE RATE AND DELAY TIME ACC
#    8.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH2)
#    9.   TRIGGER SENS 50 MHz (CH1)          BANDWIDTH (CH2)
#   10.   TRIGGER SENS 50 MHz (CH2)          TRIGGER SENS FULL BW (CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH2)

  1.026  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.027  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.028  JMPL         END                           @Abort

  1.029  CALL         Sub Tek TDS3000 Self-Test VISA
  1.030  JMPL         END                           @Abort

  1.031  DISP         Connect the 5520A Scope Out to UUT CH1.
  1.032  MATH         @Chan = 1
  1.033  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5520+S6
  1.034  JMPL         BANDWIDTH_CH1

  1.035  LABEL        DCV_CH2
  1.036  DISP         Connect the 5520A Scope Out to UUT CH2.
  1.037  MATH         @Chan = 2
  1.038  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5520+S6
  1.039  JMPL         BANDWIDTH_CH2

  1.040  LABEL        BANDWIDTH_CH1
  1.041  MATH         @Chan = 1
  1.042  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5520+S6
  1.043  JMPL         TRIG_FULL_BW_CH1

  1.044  LABEL        BANDWIDTH_CH2
  1.045  MATH         @Chan = 2
  1.046  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5520+S6
  1.047  JMPL         TRIG_FULL_BW_CH2

  1.048  LABEL        TRIG_FULL_BW_CH1
  1.049  MATH         @Chan = 1
  1.050  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5520+S6
  1.051  JMPL         TRIG_50MH_CH1

  1.052  LABEL        TRIG_FULL_BW_CH2
  1.053  MATH         @Chan = 2
  1.054  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5520+S6
  1.055  JMPL         TRIG_50MH_CH2

  1.056  LABEL        TRIG_50MH_CH1
  1.057  MATH         @Chan = 1
  1.058  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5520+S6
  1.059  JMPL         SAMPLE_RATE

  1.060  LABEL        TRIG_50MH_CH2
  1.061  MATH         @Chan = 2
  1.062  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5520+S6
  1.063  JMPL         END

  1.064  LABEL        SAMPLE_RATE
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub Tek TDS3000B (1 yr) Sample Rate VISA /5520+S6
  1.067  JMPL         DCV_CH2

  1.068  LABEL        END
  1.069  HEAD         -2

  1.070  IF           @Abort
  1.071  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.072  ELSE
  1.073  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.074  ENDIF

  1.075  END
